using Blazorise.DataGrid;
using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;
using WF_WebAdmin.Service;

namespace WF_WebAdmin.Pages
{
    public partial class ModifQuote
    {
        private Quote[] quotes;

        private int MaxValue = 5;

        private int totalItem;

        [Inject]
        public IQuoteService QuoteService { get; set; }

        private async Task OnReadData(DataGridReadDataEventArgs<Quote> e)
        {
            if (e.CancellationToken.IsCancellationRequested)
            {
                return;
            }


            var response = await QuoteService.getSomeQuote(e.PageSize, e.Page);

            if (!e.CancellationToken.IsCancellationRequested)
            {
                totalItem = await QuoteService.getNbQuote();
                quotes = response.ToArray();
            }
        }
    }
}
